Bug 1084850 - XMPP resource consumption denial of service when using application-layer compression (XEP-0138)
Summary: XMPP resource consumption denial of service when using application-layer comp...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1184160 1184157 1184158 1184159
Blocks: 1084851
TreeView+ depends on / blocked
 
Reported: 2014-04-07 02:46 UTC by Murray McAllister
Modified: 2019-09-29 13:15 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-08 11:47:29 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-04-07 02:46:31 UTC
A flaw was found in the way XMPP handled application-layer compression (XEP-0138). An attacker could send crafted XMPP stanzas to an XMPP server that supports application-layer compression, resulting in excessive CPU and memory consumption. Full details are available in the original report:

http://xmpp.org/resources/security-notices/uncontrolled-resource-consumption-with-highly-compressed-xmpp-stanzas/

Although that report states jabberd and ejabberd are not affected, the versions in Fedora and EPEL appear to support XEP-0138 stream compression.

Comment 1 Murray McAllister 2014-04-07 02:50:47 UTC
I do not know where the fix is, or how to test which version is vulnerable or not. Investiagations are ongoing.

CVE request: http://www.openwall.com/lists/oss-security/2014/04/05/1

Comment 2 Murray McAllister 2014-04-07 05:54:38 UTC
The prosody package in Fedora and EPEL may also be affected: http://www.debian.org/security/2014/dsa-2895

Comment 3 Murray McAllister 2014-04-07 05:55:33 UTC
(In reply to Murray McAllister from comment #2)
> The prosody package in Fedora and EPEL may also be affected:
> http://www.debian.org/security/2014/dsa-2895

also from there, "The SAX XML parser lua-expat is also affected by this issues."

Comment 4 Murray McAllister 2014-04-09 07:07:59 UTC
(In reply to Murray McAllister from comment #2)
> The prosody package in Fedora and EPEL may also be affected:
> http://www.debian.org/security/2014/dsa-2895

filed https://bugzilla.redhat.com/show_bug.cgi?id=1085692 for this issue in prosody.

Comment 6 Vincent Danen 2015-01-20 17:09:53 UTC
Created jabberd tracking bugs for this issue:

Affects: fedora-all [bug 1184157]
Affects: epel-all [bug 1184158]

Comment 7 Vincent Danen 2015-01-20 17:09:55 UTC
Created ejabberd tracking bugs for this issue:

Affects: fedora-all [bug 1184159]
Affects: epel-all [bug 1184160]


Note You need to log in before you can comment on or make changes to this bug.